org.apache.tomcat.websocket

## Class WsRemoteEndpointImplClient

- java.lang.Object
- - org.apache.tomcat.websocket.WsRemoteEndpointImplBase
  - - org.apache.tomcat.websocket.WsRemoteEndpointImplClient

All Implemented Interfaces:
  RemoteEndpoint

    public class WsRemoteEndpointImplClient
    extends WsRemoteEndpointImplBase

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.websocket.RemoteEndpoint

`RemoteEndpoint.Async, RemoteEndpoint.Basic`

### Field Summary

### Fields inherited from class org.apache.tomcat.websocket.WsRemoteEndpointImplBase

`BLOCKING_SEND_TIMEOUT_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`WsRemoteEndpointImplClient(AsyncChannelWrapper channel)`

### Method Summary

Methods
`protected void` `doClose()`
`protected void` `doWrite(SendHandler handler, ByteBuffer... data)`
`protected boolean` `isMasked()`

### Methods inherited from class org.apache.tomcat.websocket.WsRemoteEndpointImplBase

`close, flushBatch, getBatchingAllowed, getSendStream, getSendTimeout, getSendWriter, sendBytes, sendBytesByCompletion, sendBytesByFuture, sendObject, sendObjectByCompletion, sendObjectByFuture, sendPartialBytes, sendPartialString, sendPing, sendPong, sendString, sendStringByCompletion, sendStringByFuture, setBatchingAllowed, setEncoders, setSendTimeout, setSession`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WsRemoteEndpointImplClient

    public WsRemoteEndpointImplClient(AsyncChannelWrapper channel)

### Method Detail

#### isMasked

    protected boolean isMasked()

Specified by:
  `isMasked` in class `WsRemoteEndpointImplBase`

#### doWrite

    protected void doWrite(SendHandler handler,
               ByteBuffer... data)

Specified by:
  `doWrite` in class `WsRemoteEndpointImplBase`

#### doClose

    protected void doClose()

Specified by:
  `doClose` in class `WsRemoteEndpointImplBase`